@import url('https://fonts.googleapis.com/css2?family=Alfa+Slab+One&family=Bebas+Neue&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Playfair+Display:ital,wght@0,400..900;1,400..900&family=Rubik+Dirt&family=Syne+Mono&display=swap');


* {
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body,
html {
    width: 100%;
    overflow-x: hidden;
    padding: 0;
    margin: 0;

    font-family: "Syne Mono", monospace;
    font-weight: 400;
    font-style: normal;

    color: #fff;
}

body.no-scroll {
    overflow: hidden;
    height: 100vh;
}

h1 {
    font-family: "Alfa Slab One", serif;
    font-weight: 400;
    font-style: normal;
    color: #FFb900;

    text-align: center;
}

p {
    color: #fff;
}

/* Presets */

.container {
    margin: 0 auto;
    padding: 0 1rem;
    max-width: 1200px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-start;
}

.textura-comeco {
    background-image: url(../IMG/textura/04\ -\ Textura\ Preta\ -\ 4K.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: 100% 100%;
}

.btn-vendas button {
    background: linear-gradient(90deg, #9c9c9c, #000000);
    color: white;
    font-weight: bold;
    font-size: 16px;
    padding: 12px 40px;
    border: none;
    border-radius: 6px;
    cursor: pointer;
    transition: all 0.7s ease;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    position: relative;
    z-index: 1;
    overflow: visible;

    background: linear-gradient(to bottom,
            rgba(255, 255, 255, 0.1),
            rgba(0, 0, 0, 0.2)),
        linear-gradient(to right,
            #210703 25%,
            #d3d5d0 50%,
            #210703 75%);

    background-size: 200% 100%;
    filter: brightness(1.1);

    box-shadow:
        0 0 8px rgba(0, 0, 0, 0.4),
        inset 0 1px 2px rgba(255, 255, 255, 0.2);

    animation: mover 5s linear infinite;

    font-family: "Syne Mono", monospace;
    font-weight: 400;
    font-style: normal;
}

.btn-vendas button::after {
    content: '';
    position: absolute;
    inset: -6px;
    background: linear-gradient(90deg, 
        transparent,
        rgba(255, 215, 0, 0.2),
        rgba(255, 100, 0, 0.1),
        rgba(255, 215, 0, 0.2),
        transparent
    );
    background-size: 200% 100%;
    border-radius: 12px;
    z-index: -3;
    opacity: 0;
    pointer-events: none;
}

.btn-vendas button::after {
    opacity: 1;
    animation: backGlow 4s ease-in-out infinite;
}

@keyframes mover {
    from {
        background-position: 0% 0;
    }
    to {
        background-position: 200% 0;
    }
}

@keyframes backGlow {
    0% {
        background-position: 200% 0;
        filter: blur(4px);
    }
    50% {
        background-position: -100% 0;
        filter: blur(4px);
    }
    100% {
        background-position: 200% 0;
        filter: blur(4px);
    }
}

.btn-vendas button:hover {
    background: linear-gradient(to bottom,
            rgba(255, 255, 255, 0.2),
            rgba(0, 0, 0, 0.3)),
        linear-gradient(90deg,
            #ff0000 0%,
            #FFb900 25%,
            #BD2409 50%,
            #FFb900 75%,
            #ff0000 100%);

    background-size: 200% 100%;
    animation: mover 4s linear infinite;
    transform: scale(1.05);
    box-shadow: 0 6px 16px rgba(0, 0, 0, 0.4);
    filter: brightness(1.2);
    color: #000;
}

/* Presets */

/* Intro */

#intro {
    position: fixed;
    inset: 0;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    background: #000;
    z-index: 9999;

    transition: opacity .8s ease;
}


#introVideo {
    width: 100%;
    height: 100%;
    object-fit: cover;

    animation: zoomIntro 10s linear forwards;
}

#intro.hidden {
    opacity: 0;
    pointer-events: none;
}

@keyframes zoomIntro {
    from {
        transform: scale(1);
    }

    to {
        transform: scale(1.08);
    }
}

/* Intro */

/* Aulas */

.aulas {
    padding-top: 50px;
    color: #000;
}

.text-aulas-e-logo {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.text-aulas {
    width: 60%;
}

.text-aulas h1 {
    text-align: left;
}

.logo-aula {
    width: 30%;
}

.logo-aula img {
    width: 350px;
}

.videos-aulas {
    display: flex;
    align-items: center;
    justify-content: space-between;

    margin: 100px 0;
}

.aula-locomotiva,
.aula-mazili {
    width: 550px;
    /* 500 */

    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;

    aspect-ratio: 16/9;
    /* - */
}

.aula-locomotiva h1,
.aula-mazili h1 {
    width: 100%;
    text-align: center;
    font-size: 24px;
}

iframe {
    width: 550px;
    /* 500 */
    height: 309px;
    /* 281 */
}

/* Aulas */

/* Sobre */
.sobre {
    margin: 100px 0;
}

.container-sobre {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.conteudo {
    width: 100%;
    max-width: 1400px;
    margin: 0 auto;

    display: flex;
    justify-content: center;
    align-items: center;
}


.imagem-sobre {
    width: 18%;
}

.imagem-sobre img {
    width: 100%;
    display: block;
    border-radius: 20px;
}

.conteudo h1 {
    font-size: 52px;
    margin-bottom: 40px;
    color: #1d1d1f;
}

.accordion {
    display: flex;
    flex-direction: column;
    gap: 15px;

    width: 80%;
}

.accordion-item {
    animation: none;
    transform: scale(1);
    border: 2px solid #FFb900;
    filter: brightness(1.1);
    box-shadow: none;
}

.accordion-item:not(.active) {
    /* background: #fff; */

    border: 1px solid rgba(255, 255, 255, 0.15);
    animation: pulseBorder 3s ease-in-out infinite;
}

@keyframes pulseBorder {
    0% {
        transform: scale(1);
        border-color: rgba(255, 255, 255, 0.15);
        box-shadow: 0 0 0 rgba(255, 165, 0, 0);
    }

    50% {
        transform: scale(1.005);
        border-color: #FFb900;
        box-shadow: 0 0 10px rgba(255, 165, 0, 0.4);
    }

    100% {
        transform: scale(1);
        border-color: rgba(255, 255, 255, 0.15);
        box-shadow: 0 0 0 rgba(255, 165, 0, 0);
    }
}

.accordion-header {
    width: 100%;
    border: none;
    background: none;
    cursor: pointer;
    padding: 24px;
    display: flex;
    align-items: center;
    gap: 20px;
    font-size: 32px;
    text-align: left;

    font-family: "Rubik Dirt", system-ui;
}

.accordion-header span {
    color: #FFb900;
    font-family: "Alfa Slab One", serif;
}

.icon {
    width: 20px;
    font-size: 28px;
    font-weight: 400;
}

.accordion-content {
    max-height: 0;
    overflow: hidden;
    transition: all .35s ease;
    padding: 0 24px;
}

.accordion-item.active .accordion-content {
    max-height: 300px;
    padding: 0 24px 24px;
}

.accordion-content p {
    /* font-size: 18px; */
    line-height: 1.8;
    /* color: #555; */
}

#btn-vendas-sobre button {
    margin-top: 30px;
    color: #fff;
}

/* Sobre */

/* Assuntos */

.assuntos {
    color: #000;
    margin-top: 100px;
}

.container-assuntos {
    overflow: hidden;
    position: relative;
}

.boxes-assuntos {
    display: flex;
    align-items: flex-end;

    width: max-content;

    animation: trem 10s linear infinite;
}

@keyframes trem {
    from {
        transform: translateX(-100%);
    }

    to {
        transform: translateX(100vw);
    }
}


.box-assuntos {
    position: relative;
    /* padding: 10px 40px; */
    margin-bottom: -100px;
    z-index: 1;
}

/* Assuntos */

/* modulos */

.modulos {
    background-color: #000000;
    padding: 80px 0;
}

.boxes-modulos {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;

    gap: 10px;

}

.box-modulos {
    width: 220px;
    height: 470px;

    color: #000;
    padding: 30px 25px;
}

.box-modulos h1 {
    text-align: left;
    font-size: 18px;
    margin: 0px;
    padding: 0px;
}

#box-modulo1 {
    background-image: url(../IMG/modulos/Quadro\ PC\ 1\ -\ 220\ x\ 470px.png);
}

#box-modulo2 {
    background-image: url(../IMG/modulos/Quadro\ PC\ 2\ -\ 220\ x\ 470px.png);
}

#box-modulo3 {
    background-image: url(../IMG/modulos/Quadro\ PC\ 3\ -\ 220\ x\ 470px.png);
}

#box-modulo4 {
    background-image: url(../IMG/modulos/Quadro\ PC\ 4\ -\ 220\ x\ 470px.png);
}

#box-modulo5 {
    background-image: url(../IMG/modulos/Quadro\ PC\ 5\ -\ 220\ x\ 470px.png);
}

.saiba-mais {
    margin-top: 30px;
}

.saiba-mais a {
    font-size: 18px;
    color: #d3d5d0;
}

/* modulos */

/* countdown */

.countdown-prox-turma {
    width: 100%;
    background: #000;
    padding-top: 100px;
}

.countdown {
    background: #000;
    padding: 0px 0px 40px 0px;
    text-align: center;

    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.countdown-title {
    font-family: "Bebas Neue", cursive;
    font-size: 28px;
    margin-bottom: 20px;
    /* color: #000; */
}

.sub-text-countdown {
    font-size: 20px;
}

.countdown-box {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;

    /* gap: 15px; */
    margin-bottom: 40px;
}

.time {
    /* background: #fff; */
    color: #fff;
    border-radius: 12px;
    padding: 15px 10px;
    min-width: 90px;
}

.time span {
    font-size: 54px;
    font-weight: bold;
}

.time p {
    font-size: 22px;
    margin: 5px 0 0;
}

#btn-vendas-countdown {
    margin-top: 30px;
}

.cupom {
    width: 100%;
    max-width: 550px;
}


/* countdown */


/* card-pagamento */

.card-pagamento {
    padding: 10px 0 200px 0;
    color: #fff;
    background-color: #000;

    background-image: url(../IMG/textura/04\ -\ Textura\ Preta\ -\ 4K\ -180deg.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: 100% 100%;
}

.text-container-card-pagamento {
    margin-bottom: 20px;
}

.img-ticket-card-pagamento img {
    width: 100%;
    height: auto;
    display: block;
    transition: all 0.4s ease-in-out;
}

.img-ticket-card-pagamento img:hover {
    transform: scale(1.05);
    filter: brightness(1.05);
    cursor: pointer;

}

.card-pagamento .container {
    justify-content: center;
}

.carousel-container {
    position: relative;
    width: 1300px;
    height: 600px;

    margin: 0 auto;
}

.carousel {
    position: relative;
    width: 100%;
    height: 100%;
    overflow: visible;
}

.card {
    position: absolute;
    top: 50%;
    left: 50%;

    width: 500px;

    transform: translate(-50%, -50%);

    opacity: .4;

    transition: all .5s ease;

    cursor: pointer;
}

.card img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 20px;
}

.card.active {
    transform: translate(-50%, -50%) scale(1);
    opacity: 1;
    z-index: 3;

    /* animation: pulse 3s ease-in-out infinite; */
}


@keyframes pulse {
    0% {
        transform: scale(1);

    }

    50% {
        transform: scale(1.005);

    }

    100% {
        transform: scale(1);

    }
}

.card.prev {
    transform: translate(0%, -50%) scale(.7);
    opacity: .45;
    z-index: 2;
}

.card.next {
    transform: translate(30%, -50%) scale(.7);
    opacity: .45;
    z-index: 2;
}

.nav {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: 10;

    border: none;
    /* background: #fff; */
    width: 50px;
    height: 50px;
    border-radius: 50%;
    cursor: pointer;
    font-size: 24px;
}

.prev {
    left: -70px;
}

.next {
    right: -70px;
}

/* card-pagamento */

/* footer */

footer {
    width: 100%;
    height: auto;
    background-color: #000;
    color: #bbbbbb;
    display: flex;
    /* align-items: center; */
    justify-content: center;

    padding: 50px 0 200px 0;
}

footer h1 {
    text-shadow: none;

    word-spacing: 0px;
}

.footer-container img {
    width: 200px;
}

.footer-container {
    width: 100%;
    display: flex;
    margin-top: 80px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.box-logo-frase-footer {
    width: 30%;
}

.text-footer {
    display: flex;
    align-items: flex-start;
    justify-content: flex-end;
    gap: 50px;
    width: 70%;
}

.box-text-footer {
    display: flex;
    align-items: flex-start;
    justify-content: center;
    flex-direction: column;
}

.box-text-footer h1 {
    font-size: 20px;
    text-align: left;
}

.nav-footer ul {
    list-style: none;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    gap: 10px;
    padding: 0;
}

.nav-footer ul li a {
    font-size: 14px;
    text-decoration: none;
    color: #fff;
    font-weight: 600;
    transition: color 0.3s ease;
    padding: 0;
    list-style: none;
    color: #bbbbbb;
}

.nav-footer ul li a:Hover {
    color: #fff;
}

/* footer */